> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Info Request

> Retrieves the OIDC UserInfo object for the User whose OAuth2 Access Token is being presented.
This endpoint is only accessible with an OAuth 2.0 Access Token. Ordinary Connect authentication methods are not supported.



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml get /userinfo
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /userinfo:
    get:
      tags:
        - OIDC
      summary: User Info Request
      description: >-
        Retrieves the OIDC UserInfo object for the User whose OAuth2 Access
        Token is being presented.

        This endpoint is only accessible with an OAuth 2.0 Access Token.
        Ordinary Connect authentication methods are not supported.
      operationId: oidcUserinfo
      parameters:
        - name: token
          in: query
          description: OAuth 2.0 Access Token or Refresh Token
          required: true
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfoResponse'
        '400':
          description: Bad Request - If the Request is invalid or unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfoResponse400'
      security:
        - bearerAuth: []
      externalDocs:
        description: OpenID Connect Core 1.0 incorporating errata set 1
        url: https://openid.net/specs/openid-connect-core-1_0.html
components:
  schemas:
    UserInfoResponse:
      title: UserInfoResponse
      type: object
      properties:
        sub:
          type: string
          description: The Sub Id
          format: uuid
          example: d891bba7-4a62-4a04-aeac-6953777038a3
        name:
          type: string
          description: The user's display name.
          example: John
        preferred_username:
          type: string
          description: User's preferred username
          format: email
          example: user@example.com
        given_name:
          type: string
          description: User's first name
          example: John
        family_name:
          type: string
          description: User's last name.
          example: Doe
        middle_name:
          type: string
          description: User's middle name
          example: Joe
        nickname:
          type: string
          description: User's nickname
          example: johndoe
        profile:
          type: string
          description: Profile
          example: profile
        picture:
          type: string
          description: The URI of the user's picture
          format: uri
          example: https://pictures.example.com/pic=uuid
        website:
          type: string
          description: User's website
          format: uri
          example: hrrps://myblog.example.com
        gender:
          type: string
          description: Gender
          example: male
        zoneinfo:
          type: string
          description: Zoneinfo
          example: zoneinfo
        locale:
          type: string
          description: User's locale
          example: en_US
        updated_at:
          type: integer
          description: Last update
          format: int64
          example: 1508849760527
        birthdate:
          type: string
          description: User's birthday
          format: date
        email:
          type: string
          description: User's contact email.
          format: email
          example: contact.emal@example.com
        email_verified:
          type: boolean
          description: User has vrified their email address
          example: true
        phone_number:
          type: string
          description: User's phone number
          example: 818-519-2395
        phone_number_verified:
          type: boolean
          description: User has vrified their phone number
          example: true
      description: UserInfo Response
    UserInfoResponse400:
      type: object
      properties:
        error:
          type: string
          example: invalid_client
          enum:
            - invalid_request
            - invalid_client
            - unauthorized_client
            - invalid_token
            - expired_token
        error_description:
          type: string
          description: Description of the error
          example: Invalid client [XXX]
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.